> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zbdpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorization

> Create an authorization URL for ZBD Login.

## Description

In order to properly redirect users to the ZBD Login portal, you must open a browser session containing the built `authorization URL` as the destination address.

This API endpoint helps you create that authorization URL.

* [Read here for more details](/earn/oauth2) on how to setup ZBD Login (OAuth2) with your platform.

## Configuration

### Query Parameters

<ParamField required initialValue="‎" query="client_id" type="string" />

<ParamField required initialValue="‎" query="response_type" type="string" />

<ParamField required initialValue="‎" query="redirect_uri" type="string" />

<ParamField required initialValue="‎" query="code_challenge_method" type="string" />

<ParamField required initialValue="‎" query="code_challenge" type="string" />

<ParamField required initialValue="‎" query="scope" type="string" />
